"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.parseJsonFile = exports.getPackageJsonPath = void 0;
const fs = __importStar(require("fs"));
const path = __importStar(require("path"));
const chalk_1 = __importDefault(require("chalk"));
const core_1 = require("../../core");
const packageJsonPath = './package.json';
// tslint:disable-next-line:no-any
function parseJsonFile(filePath) {
    if (!fs.existsSync(filePath)) {
        throw new core_1.FatalErrorModel(chalk_1.default.red(`File doesn't exists by path ${filePath}`));
    }
    const configFile = fs.readFileSync(filePath);
    // tslint:disable-next-line:no-any
    const result = JSON.parse(configFile.toString());
    return result;
}
exports.parseJsonFile = parseJsonFile;
function getPackageJsonPath() {
    const result = path.resolve(__dirname, '../../../../', packageJsonPath);
    return result;
}
exports.getPackageJsonPath = getPackageJsonPath;
//# sourceMappingURL=file.js.map