import { IRulesConfig } from './interface';
import { LanguagesModel, ResultCliModel } from './models';
import { KeyModelWithLanguages } from './models/KeyModelWithLanguages';
declare class ReactI18nextLint {
    rules: IRulesConfig;
    projectPath: string;
    languagesPath: string;
    tsConfigPath: string | undefined;
    ignore?: string;
    constructor(projectPath?: string, languagesPath?: string, ignore?: string, rulesConfig?: IRulesConfig, tsConfigPath?: string);
    lint(maxWarning?: number): ResultCliModel;
    getLanguages(): LanguagesModel[];
    getKeys(): KeyModelWithLanguages[];
    private runRegExp;
}
export { ReactI18nextLint };
