import { ILogger } from "./../interface";
import { ErrorTypes } from "./../enums";
declare class StylishLogger implements ILogger {
    private logger;
    private errorType;
    constructor(logger: ILogger, errorType?: ErrorTypes);
    error(message: string): void;
    log(message: string): void;
    printMessage(message: string, errorType?: ErrorTypes): void;
}
export { StylishLogger };
