import { KeyModel } from '../KeyModel';
declare abstract class FileModel {
    path: string;
    keys: KeyModel[];
    files: string[];
    ignore: string | undefined;
    protected constructor(path: string, files?: string[], keys?: KeyModel[], ignore?: string | undefined);
    getNormalizeFiles(): string[];
    parseKeys(identity: Function): KeyModel[];
    parseKeysWithValues(identity: Function): KeyModel[];
}
export { FileModel };
