import { IValidationMessage } from '../../interface';
import { ErrorFlow, ErrorTypes } from '../../enums';
declare class ResultErrorModel implements IValidationMessage {
    value: string;
    errorFlow: ErrorFlow;
    errorType: ErrorTypes;
    absentedPath?: string | string[];
    currentPath: string;
    suggestions: string[];
    constructor(value: string, errorFlow: ErrorFlow | undefined, errorType: ErrorTypes | undefined, currentPath: string, absentedPath?: string | string[], suggestions?: string[]);
    message(): string | string[] | null;
}
export { ResultErrorModel };
