"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ResultFileModel = void 0;
const enums_1 = require("../../enums");
class ResultFileModel {
    constructor(value, errors = [], errorType = enums_1.ErrorTypes.error) {
        this.value = value;
        this.errors = errors;
        this.errorType = errorType;
    }
    message() {
        return this.value ? `Following file ${this.value} have errors:` : `Founded errors without file`;
    }
}
exports.ResultFileModel = ResultFileModel;
//# sourceMappingURL=ResultFileModel.js.map