import { IRule } from './../interface';
import { ErrorTypes, ErrorFlow } from './../enums';
import { ResultErrorModel, KeyModel } from './../models';
declare class AbsentViewKeysRule implements IRule {
    flow: ErrorFlow;
    handler: ErrorTypes;
    languagesPathList: string[];
    languagesCount(): number;
    constructor(handler: ErrorTypes | undefined, languagesPathList: string[]);
    check(viewsKeys: KeyModel[], languagesKeys: KeyModel[]): ResultErrorModel[];
}
export { AbsentViewKeysRule };
