import { IRule } from './../interface';
import { ErrorTypes, ErrorFlow } from './../enums';
import { ResultErrorModel, KeyModel } from './../models';
declare class ZombieRule implements IRule {
    flow: ErrorFlow;
    handler: ErrorTypes;
    constructor(handler?: ErrorTypes);
    check(viewKeys: KeyModel[], languagesKeys: KeyModel[]): ResultErrorModel[];
}
export { ZombieRule };
