#!/usr/bin/env node
import { OptionModel } from './models';
import { ErrorTypes, ToggleRule } from "./../core";
declare class Cli {
    private cliClient;
    private cliOptions;
    constructor(options: OptionModel[]);
    static run(options: OptionModel[]): void;
    init(options?: OptionModel[]): void;
    runCli(): void;
    parse(): void;
    private validate;
    runLint(project: string, languages: string, zombies?: ErrorTypes, views?: ErrorTypes, ignore?: string, maxWarning?: number, misprint?: ErrorTypes, emptyKeys?: ErrorTypes, deepSearch?: ToggleRule, misprintCoefficient?: number, ignoredKeys?: string[], ignoredMisprintKeys?: string[], customRegExpToFindKeys?: string[] | RegExp[], tsConfigPath?: string): void;
    private printCurrentVersion;
}
export { Cli };
