"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.config = void 0;
const enums_1 = require("./enums");
const config = {
    defaultValues: {
        rules: {
            zombieKeys: enums_1.ErrorTypes.warning,
            keysOnViews: enums_1.ErrorTypes.error,
            emptyKeys: enums_1.ErrorTypes.warning,
            deepSearch: enums_1.ToggleRule.disable,
            misprintKeys: enums_1.ErrorTypes.disable,
            maxWarning: 0,
            misprintCoefficient: 0.9,
            ignoredKeys: [],
            ignoredMisprintKeys: [],
            customRegExpToFindKeys: []
        },
        projectPath: './src/**/*.{html,ts,resx,js}',
        languagesPath: './src/assets/i18n/*.json'
    }
};
exports.config = config;
//# sourceMappingURL=config.js.map