"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.FatalErrorModel = void 0;
class FatalErrorModel extends Error {
    constructor(message, innerError) {
        super(message);
        this.message = message;
        this.innerError = innerError;
        this.name = FatalErrorModel.NAME;
        // Fix prototype chain for target ES5
        Object.setPrototypeOf(this, FatalErrorModel.prototype);
    }
}
exports.FatalErrorModel = FatalErrorModel;
FatalErrorModel.NAME = "FatalError";
//# sourceMappingURL=FatalErrorModel.js.map