"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.FileViewModel = void 0;
const FileModel_1 = require("./FileModel");
const KeyModel_1 = require("../KeyModel");
class FileViewModel extends FileModel_1.FileModel {
    constructor(path, files = [], keys = [], ignore = '') {
        super(path, files, keys, ignore);
    }
    getKeys(regExp) {
        this.files = this.getNormalizeFiles();
        this.keys = this.parseKeys((fileData, filePath) => {
            const fileKeysNames = fileData.match(regExp);
            return !fileKeysNames ? [] : fileKeysNames
                .filter(x => !!x)
                .map((key) => new KeyModel_1.KeyModel(key, [filePath], []));
        });
        return this;
    }
}
exports.FileViewModel = FileViewModel;
//# sourceMappingURL=FileViewModel.js.map