import { ResultModel } from './ResultModel';
import { ResultErrorModel } from './ResultErrorModel';
import { StatusCodes } from '../../enums';
declare class ResultCliModel {
    errors: ResultErrorModel[];
    maxCountWarning: number;
    countWarnings(): number;
    hasWarnings(): boolean;
    isFullOfWarning(): boolean;
    countErrors(): number;
    hasErrors(): boolean;
    countMisprint(): number;
    hasMisprint(): boolean;
    getEmptyKeys(): ResultErrorModel[];
    countEmptyKeys(): number;
    hasEmptyKeys(): boolean;
    exitCode(): StatusCodes;
    constructor(errors?: ResultErrorModel[], maxCountWarning?: number);
    private getResultFiles;
    getResultModel(): ResultModel;
}
export { ResultCliModel };
