import { ErrorTypes } from "../../enums";
import { ResultErrorModel } from "./ResultErrorModel";
import { IValidationMessage } from "./../../interface";
declare class ResultFileModel implements IValidationMessage {
    value?: string;
    errors: ResultErrorModel[];
    errorType: ErrorTypes;
    constructor(value?: string, errors?: ResultErrorModel[], errorType?: ErrorTypes);
    message(): string | string[] | null;
}
export { ResultFileModel };
