import { ResultFileModel } from './ResultFileModel';
import { ILogger } from '../../interface';
import { StylishLogger } from '../StylishLogger';
import { ResultCliModel } from './ResultCliModel';
declare class ResultModel extends StylishLogger {
    cli: ResultCliModel;
    files: ResultFileModel[];
    hasError: boolean;
    hasWarning: boolean;
    readonly message: string;
    constructor(cliModel: ResultCliModel, files?: ResultFileModel[], hasError?: boolean, hasWarning?: boolean, logger?: ILogger);
    printResult(): void;
    printSummery(): void;
}
export { ResultModel };
