import { IRule } from "../interface";
import { ErrorTypes, ErrorFlow } from './../enums';
import { ResultErrorModel, KeyModel } from './../models';
declare class MisprintRule implements IRule {
    flow: ErrorFlow;
    handler: ErrorTypes;
    private readonly maxCoefficient;
    private ignoredMisprintKeys;
    constructor(handler?: ErrorTypes, coefficient?: number, ignoredMisprintKeys?: string[]);
    check(viewErrorsKeys: ResultErrorModel[], languagesKeys: KeyModel[]): ResultErrorModel[];
}
export { MisprintRule };
